## Apache Zeta Components Manual :: Docs For Class ezcDocumentPdfTableColumnWidthCalculator

### Document::ezcDocumentPdfTableColumnWidthCalculator

### Class ezcDocumentPdfTableColumnWidthCalculator

Table column width calculator

Base class for a table column width calculator, which is responsible to estimate / guess / calculate sensible column width for a docbook table definitions.

Source for this file: /Document/src/document/pdf/table_column_width_calculator.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentPdfDefaultTableColumnWidthCalculator | Table column width calculator

### Method Summary

public abstract array | `estimateWidths( $table )` Estimate column widths

### Methods

#### estimateWidths

array estimateWidths( $table )

Estimate column widths

Should return an array with the column widths given as float numbers between 0 and 1, which all add together to 1.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$table` | DOMElement |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentPdfDefaultTableColumnWidthCalculator::estimateWidths()` | Estimate column widths

Documentation generated by phpDocumentor 1.4.3